Bug 14929 - Fix missing display of help page in contract management
Summary: Fix missing display of help page in contract management
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-09-30 15:34 UTC by Marc Véron
Modified: 2016-06-21 21:38 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14929 - Fix missing display of help page in contract management (1.12 KB, patch)
2015-10-01 08:57 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 14929 - Fix missing display of help page in contract management (1.25 KB, patch)
2015-10-01 09:40 UTC, Magnus Enger
Details | Diff | Splinter Review
Bug 14929 - Fix missing display of help page in contract management (1.32 KB, patch)
2015-10-01 13:44 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2015-09-30 15:34:23 UTC
The help page does not display on Home > Acquisition > [Veondor] > Contracts
(/cgi-bin/koha/admin/aqcontract.pl?booksellerid=XXXX)

Reason: 

The name of the template file is:
koha-tmpl/intranet-tmpl/prog/en/modules/admin/aqcontract.tt

However, there is a typo in the name of the help template files:
koha-tmpl/intranet-tmpl/prog/en/modules/help/acqui/acqcontract.tt
(aq <-> acq)
Comment 1 Marc Véron 2015-09-30 21:01:32 UTC
Hmm, I accidentally set Status to 'Needs Signoff'. How to reset it to 'New'?
Comment 2 Katrin Fischer 2015-09-30 21:47:56 UTC
You need to go back to assigned first - then you can set new next :)
Comment 3 Marc Véron 2015-10-01 08:57:51 UTC Comment hidden (obsolete)
Comment 4 Magnus Enger 2015-10-01 09:40:37 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2015-10-01 13:44:46 UTC
Created attachment 43010 [details] [review]
Bug 14929 - Fix missing display of help page in contract management

This patch renames / moves  the file
koha-tmpl/intranet-tmpl/prog/en/modules/help/acqui/acqcontract.tt
to
koha-tmpl/intranet-tmpl/prog/en/modules/help/admin/aqcontract.tt

To test:
- Go to Home > Acquisition > [Vendor] > Contracts
  (/cgi-bin/koha/admin/aqcontract.pl?booksellerid=XXXX)
- Verify that Help displays as appropriate.

Signed-off-by: Magnus Enger <magnus@libriotech.no>
Works as advertised. All the tabs similar to "Contracts" have
working help pages.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Tomás Cohen Arazi 2015-10-02 15:11:49 UTC
Patch pushed to master.

Thanks Marc!
Comment 7 Chris Cormack 2015-10-23 07:50:43 UTC
Pushed to 3.20.x will be in 3.20.5
Comment 8 Liz Rea 2015-11-02 21:02:53 UTC
Pushed to 3.18.x, is in 3.18.12.